org.mariadb.jdbc.identity.aws

## Class AwsIdentityGenerator

- java.lang.Object
- - org.mariadb.jdbc.identity.aws.AwsIdentityGenerator

    public class AwsIdentityGenerator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AwsIdentityGenerator(Properties nonMappedOptions, String userName, HostAddress hostAddress)` AWS Generator.

### Method Summary

All Methods Instance Methods Concrete Methods
`Identity` `getToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsIdentityGenerator

    public AwsIdentityGenerator(Properties nonMappedOptions,
                                String userName,
                                HostAddress hostAddress)

AWS Generator.

Parameters:
  `nonMappedOptions` - non standard options
  `userName` - user
  `hostAddress` - current server information

### Method Detail

#### getToken

    public Identity getToken()